ODFPY: odf.attrconverters Namespace Reference

ODFPY 1.2.0 |

All Classes Namespaces Files Functions Variables
Classes | Functions | Variables
odf.attrconverters Namespace Reference

## Classes
class | AttrConverters

## Functions
def | make_NCName
def | cnv_angle
def | cnv_anyURI
def | cnv_boolean
| XML Schema Part 2: Datatypes Second Edition An instance of a datatype that is defined as boolean can have the following legal literals {true, false, 1, 0}. More...
def | cnv_color
| A RGB color in conformance with §5.9.11 of [XSL], that is a RGB color in notation “::rrggbb”, where rr, gg and bb are 8-bit hexadecimal digits. More...
def | cnv_configtype
def | cnv_data_source_has_labels
def | cnv_date
| A dateOrDateTime value is either an [xmlschema-2] date value or an [xmlschema-2] dateTime value. More...
def | cnv_dateTime
| A dateOrDateTime value is either an [xmlschema-2] date value or an [xmlschema-2] dateTime value. More...
def | cnv_double
def | cnv_draw_aspect
def | cnv_duration
def | cnv_family
| A style family. More...
def | cnv_formula
| A string containing a formula. More...
def | cnv_ID
def | cnv_IDREF
def | cnv_integer
def | cnv_language
def | cnv_legend_position
def | cnv_length
| A (positive or negative) physical length, consisting of magnitude and unit, in conformance with the Units of Measure defined in §5.9.13 of [XSL]. More...
def | cnv_lengthorpercent
def | cnv_list_linkage_type
def | cnv_metavaluetype
def | cnv_major_minor
def | cnv_namespacedToken
def | cnv_NCName
| NCName is defined in http://www.w3.org/TR/REC-xml-names/#NT-NCName Essentially an XML name minus ':'. More...
def | cnv_StyleNameRef
def | cnv_DrawNameRef
def | cnv_NCNames
def | cnv_nonNegativeInteger
def | cnv_percent
def | cnv_points
def | cnv_positiveInteger
def | cnv_rowOrCol
def | cnv_string
def | cnv_stroke_linecap
def | cnv_textnoteclass
def | cnv_time
def | cnv_token
def | cnv_viewbox
def | cnv_xlinkshow
def | cnv_xlinktype

## Variables
tuple | pattern_color = re.compile(r'#[0-9a-fA-F]{6}')
tuple | pattern_vector3D = re.compile(r'\([ ]*-?([0-9]+(\.[0-9]*)?|\.[0-9]+)([ ]+-?([0-9]+(\.[0-9]*)?|\.[0-9]+)){2}[ ]*\)')
tuple | pattern_language = re.compile(r'[a-zA-Z]{1,8}(-[a-zA-Z0-9]{1,8})*')
tuple | pattern_length = re.compile(r'-?([0-9]+(\.[0-9]*)?|\.[0-9]+)((cm)|(mm)|(in)|(pt)|(pc)|(px))')
tuple | pattern_namespacedToken = re.compile(r'[0-9a-zA-Z_]+:[0-9a-zA-Z._\-]+')
tuple | pattern_percent = re.compile(r'-?([0-9]+(\.[0-9]*)?|\.[0-9]+)%')
tuple | pattern_points = re.compile(r'-?[0-9]+,-?[0-9]+([ ]+-?[0-9]+,-?[0-9]+)*')
tuple | pattern_viewbox = re.compile(r'-?[0-9]+([ ]+-?[0-9]+){3}$')
dictionary | attrconverters

## Function Documentation

def odf.attrconverters.cnv_angle | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 34 of file attrconverters.py.

def odf.attrconverters.cnv_anyURI | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 40 of file attrconverters.py.

def odf.attrconverters.cnv_boolean | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

XML Schema Part 2: Datatypes Second Edition An instance of a datatype that is defined as boolean can have the following legal literals {true, false, 1, 0}.

Definition at line 48 of file attrconverters.py.

def odf.attrconverters.cnv_color | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

A RGB color in conformance with §5.9.11 of [XSL], that is a RGB color in notation “::rrggbb”, where rr, gg and bb are 8-bit hexadecimal digits.

Definition at line 60 of file attrconverters.py.

def odf.attrconverters.cnv_configtype | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 63 of file attrconverters.py.

def odf.attrconverters.cnv_data_source_has_labels | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 69 of file attrconverters.py.

def odf.attrconverters.cnv_date | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

A dateOrDateTime value is either an [xmlschema-2] date value or an [xmlschema-2] dateTime value.

Definition at line 79 of file attrconverters.py.

def odf.attrconverters.cnv_dateTime | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

A dateOrDateTime value is either an [xmlschema-2] date value or an [xmlschema-2] dateTime value.

Definition at line 86 of file attrconverters.py.

def odf.attrconverters.cnv_double | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 89 of file attrconverters.py.

def odf.attrconverters.cnv_draw_aspect | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 92 of file attrconverters.py.

def odf.attrconverters.cnv_DrawNameRef | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 220 of file attrconverters.py.

def odf.attrconverters.cnv_duration | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 97 of file attrconverters.py.

def odf.attrconverters.cnv_family | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

A style family.

Definition at line 102 of file attrconverters.py.

def odf.attrconverters.cnv_formula | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

A string containing a formula.

Formulas do not have a predefined syntax, but the string should begin with a namespace prefix, followed by a “:” (COLON, U+003A) separator, followed by the text of the formula. The namespace bound to the prefix determines the syntax and semantics of the formula.

Definition at line 125 of file attrconverters.py.

def odf.attrconverters.cnv_ID | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 128 of file attrconverters.py.

def odf.attrconverters.cnv_IDREF | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 131 of file attrconverters.py.

def odf.attrconverters.cnv_integer | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 134 of file attrconverters.py.

def odf.attrconverters.cnv_language | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 139 of file attrconverters.py.

def odf.attrconverters.cnv_legend_position | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 145 of file attrconverters.py.

def odf.attrconverters.cnv_length | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

A (positive or negative) physical length, consisting of magnitude and unit, in conformance with the Units of Measure defined in §5.9.13 of [XSL].

Definition at line 156 of file attrconverters.py.

Here is the caller graph for this function:

def odf.attrconverters.cnv_lengthorpercent | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 162 of file attrconverters.py.

Here is the call graph for this function:

def odf.attrconverters.cnv_list_linkage_type | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 172 of file attrconverters.py.

def odf.attrconverters.cnv_major_minor | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 182 of file attrconverters.py.

def odf.attrconverters.cnv_metavaluetype | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 177 of file attrconverters.py.

def odf.attrconverters.cnv_namespacedToken | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 189 of file attrconverters.py.

def odf.attrconverters.cnv_NCName | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

NCName is defined in http://www.w3.org/TR/REC-xml-names/#NT-NCName Essentially an XML name minus ':'.

Definition at line 200 of file attrconverters.py.

Here is the call graph for this function:

def odf.attrconverters.cnv_NCNames | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 227 of file attrconverters.py.

def odf.attrconverters.cnv_nonNegativeInteger | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 230 of file attrconverters.py.

def odf.attrconverters.cnv_percent | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 235 of file attrconverters.py.

Here is the caller graph for this function:

def odf.attrconverters.cnv_points | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 244 of file attrconverters.py.

def odf.attrconverters.cnv_positiveInteger | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 257 of file attrconverters.py.

def odf.attrconverters.cnv_rowOrCol | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 260 of file attrconverters.py.

def odf.attrconverters.cnv_string | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 265 of file attrconverters.py.

def odf.attrconverters.cnv_stroke_linecap | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 271 of file attrconverters.py.

def odf.attrconverters.cnv_StyleNameRef | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 210 of file attrconverters.py.

def odf.attrconverters.cnv_textnoteclass | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 276 of file attrconverters.py.

def odf.attrconverters.cnv_time | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 282 of file attrconverters.py.

def odf.attrconverters.cnv_token | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 285 of file attrconverters.py.

def odf.attrconverters.cnv_viewbox | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 290 of file attrconverters.py.

def odf.attrconverters.cnv_xlinkshow | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 296 of file attrconverters.py.

def odf.attrconverters.cnv_xlinktype | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 301 of file attrconverters.py.

def odf.attrconverters.make_NCName | ( |  | arg | ) |

Definition at line 29 of file attrconverters.py.

Here is the caller graph for this function:

## Variable Documentation

dictionary odf.attrconverters.attrconverters

Definition at line 307 of file attrconverters.py.

tuple odf.attrconverters.pattern_color = re.compile(r'#[0-9a-fA-F]{6}')

Definition at line 26 of file attrconverters.py.

tuple odf.attrconverters.pattern_language = re.compile(r'[a-zA-Z]{1,8}(-[a-zA-Z0-9]{1,8})*')

Definition at line 137 of file attrconverters.py.

tuple odf.attrconverters.pattern_length = re.compile(r'-?([0-9]+(\.[0-9]*)?|\.[0-9]+)((cm)|(mm)|(in)|(pt)|(pc)|(px))')

Definition at line 150 of file attrconverters.py.

tuple odf.attrconverters.pattern_namespacedToken = re.compile(r'[0-9a-zA-Z_]+:[0-9a-zA-Z._\-]+')

Definition at line 187 of file attrconverters.py.

tuple odf.attrconverters.pattern_percent = re.compile(r'-?([0-9]+(\.[0-9]*)?|\.[0-9]+)%')

Definition at line 233 of file attrconverters.py.

tuple odf.attrconverters.pattern_points = re.compile(r'-?[0-9]+,-?[0-9]+([ ]+-?[0-9]+,-?[0-9]+)*')

Definition at line 242 of file attrconverters.py.

tuple odf.attrconverters.pattern_vector3D = re.compile(r'\([ ]*-?([0-9]+(\.[0-9]*)?|\.[0-9]+)([ ]+-?([0-9]+(\.[0-9]*)?|\.[0-9]+)){2}[ ]*\)')

Definition at line 27 of file attrconverters.py.

tuple odf.attrconverters.pattern_viewbox = re.compile(r'-?[0-9]+([ ]+-?[0-9]+){3}$')

Definition at line 288 of file attrconverters.py.